| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IFileAccess Class Reference

`#include <IFileAccess.h>`

Inheritance diagram for IFileAccess:

[legend]
Collaboration diagram for IFileAccess:

[legend]
List of all members.

## Detailed Description

Abstract interface for a service or tool implementing a read access to files.

Author:
  Marco Clemencic

Date:
  2008-01-18

Definition at line 23 of file IFileAccess.h.

## Public Member Functions
virtual | ~IFileAccess ()
virtual std::auto_ptr< std::istream > | open (const std::string &url)=0
| Find the URL and returns an auto_ptr to an input stream interface of an object that can be used to read from the file the URL is pointing to.
virtual const std::vector< std::string > & | protocols () const=0
| Protocols supported by the instance.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Constructor & Destructor Documentation

IFileAccess::~IFileAccess | ( |  | ) | `[virtual]`

Definition at line 10 of file VirtualDestructors.cpp.

    00010 {}

## Member Function Documentation

static const InterfaceID& IFileAccess::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 27 of file IFileAccess.h.

References IID_IFileAccess.

Referenced by VFSSvc::initialize(), and VFSSvc::queryInterface().

    00027 { return IID_IFileAccess; }

virtual std::auto_ptr<std::istream> IFileAccess::open | ( | const std::string & | url | ) | `[pure virtual]`

Find the URL and returns an auto_ptr to an input stream interface of an object that can be used to read from the file the URL is pointing to.

Returns an empty pointer if the URL cannot be resolved.

Implemented in FileReadTool, and VFSSvc.

Referenced by ParticlePropertySvc::parse().

virtual const std::vector<std::string>& IFileAccess::protocols | ( |  | ) | const`[pure virtual]`

Protocols supported by the instance.

Implemented in FileReadTool, and VFSSvc.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IFileAccess.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/VirtualDestructors.cpp